Page MenuHomePhabricator

Deploy IP Info extension to beta cluster
Closed, ResolvedPublic3 Estimated Story Points

Description

The IP Info extension should be deployed to the beta cluster.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedTchanders
Resolvedsbassett
ResolvedDec 15 2020Tchanders
ResolvedTchanders
OpenNone
InvalidNone
ResolvedSep 22 2020Tchanders
ResolvedTchanders
Resolveddbarratt
OpenNone
Resolvedsbassett
StalledNone
OpenNone
ResolvedNiharika
ResolvedSep 22 2020Tchanders
ResolvedTchanders
Resolveddbarratt

Event Timeline

ARamirez_WMF set the point value for this task to 3.Nov 18 2020, 5:39 PM
Niharika triaged this task as Medium priority.Nov 30 2020, 8:02 PM

Change 644538 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/tools/release@master] make-release: Start branching IPInfo extension for production

https://gerrit.wikimedia.org/r/644538

@Niharika Do we want to enable this on every wiki in the beta cluster, or just specific ones?

Change 644548 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[operations/mediawiki-config@master] extension-list: Add IPInfo extension

https://gerrit.wikimedia.org/r/644548

Change 644549 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[operations/mediawiki-config@master] Add IPInfo config to InitialiseSettings.php

https://gerrit.wikimedia.org/r/644549

Change 644550 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[operations/mediawiki-config@master] Add IPInfo extension config to InitialiseSettings-labs.php

https://gerrit.wikimedia.org/r/644550

Change 644551 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[operations/mediawiki-config@master] Load IPInfo extension in CommonSettings.php

https://gerrit.wikimedia.org/r/644551

@Tchanders Note the extension needs to be branched for at least two weeks before being deployed (even to beta), see https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment#Deploy_to_Beta_Cluster.

Change 644538 merged by jenkins-bot:
[mediawiki/tools/release@master] make-release: Start branching IPInfo extension for production

https://gerrit.wikimedia.org/r/644538

Change 644548 merged by jenkins-bot:
[operations/mediawiki-config@master] extension-list: Add IPInfo extension

https://gerrit.wikimedia.org/r/644548

Mentioned in SAL (#wikimedia-operations) [2020-12-17T19:08:02Z] <urbanecm@deploy1001> Synchronized wmf-config/extension-list: 5180f12ee74feae1024ae4ec45e19cd775c805b2: extension-list: Add IPInfo extension (T260599) (duration: 01m 03s)

Change 644549 merged by jenkins-bot:
[operations/mediawiki-config@master] Add IPInfo config to InitialiseSettings.php

https://gerrit.wikimedia.org/r/644549

Mentioned in SAL (#wikimedia-operations) [2020-12-17T19:09:50Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 54046876d2217200618236e22f77d2138345bb92: Add IPInfo config to InitialiseSettings.php [noop for prod] (T260599) (duration: 01m 03s)

Change 644551 merged by jenkins-bot:
[operations/mediawiki-config@master] Load IPInfo extension in CommonSettings.php

https://gerrit.wikimedia.org/r/644551

Change 644550 merged by jenkins-bot:
[operations/mediawiki-config@master] Add IPInfo extension config to InitialiseSettings-labs.php

https://gerrit.wikimedia.org/r/644550

Mentioned in SAL (#wikimedia-operations) [2020-12-17T19:12:08Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: 2c1b339b47454e5df4f78b87ca577afb1d2f32af: Load IPInfo extension in CommonSettings.php [noop for prod] (T260599) (duration: 01m 04s)

Message translations have not come through to beta due to T270560

@dom_walden It's probably not worth testing this until that's fixed.

@dom_walden It's probably not worth testing this until that's fixed.

Update: it's fixed now, translations are there.

Moving this on from QA in anticipation of the column filling up, and because this will be tested implicitly as other IPInfo tasks are tested on beta.